All methods and paths for this operation:
Check if one or more data stream or index aliases exist.
Path parameters
-
Comma-separated list of data streams or indices used to limit the request. Supports wildcards (
*). To target all data streams and indices, omit this parameter or use*or_all. -
Comma-separated list of aliases to check. Supports wildcards (
*).
Query parameters
-
A setting that does two separate checks on the index expression. If
false, the request returns an error (1) if any wildcard expression (including_alland*) resolves to zero matching indices or (2) if the complete set of resolved indices, aliases or data streams is empty after all expressions are evaluated. Iftrue, index expressions that resolve to no indices are allowed and the request returns an empty result. -
Type of index that wildcard patterns can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. Supports comma-separated values, such as
open,hidden.Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
Values are
all,open,closed,hidden, ornone. -
Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.
External documentation
HEAD _alias/my-alias
resp = client.indices.exists_alias(
name="my-alias",
)
const response = await client.indices.existsAlias({
name: "my-alias",
});
response = client.indices.exists_alias(
name: "my-alias"
)
$resp = $client->indices()->existsAlias([
"name" => "my-alias",
]);
curl --head -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_alias/my-alias"
client.indices().existsAlias(e -> e
.name("my-alias")
);